Up

# NSSound

### Authors

Enrico Sersale (`enrico@imago.ro`)

> Load, manipulate and play sounds

Copyright: (C) 2002 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSSound class
2. Software documentation for the NSBundle(NSSoundAdditions) category
3. Software documentation for the NSObject(NSSoundDelegate) informal protocol

# Software documentation for the NSSound class

## NSSound : NSObject

> Declared in:
>   AppKit/NSSound.h

> Conforms to:
>   NSCoding
>   NSCopying

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +canInitWithPasteboard:
- +soundNamed:
- +soundUnfilteredFileTypes
- +soundUnfilteredPasteboardTypes
- -delegate
- -initWithContentsOfFile:byReference:
- -initWithContentsOfURL:byReference:
- -initWithData:
- -initWithPasteboard:
- -isPlaying
- -name
- -pause
- -play
- -resume
- -setDelegate:
- -setName:
- -stop
- -writeToPasteboard:

### canInitWithPasteboard:

+ (BOOL) canInitWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### soundNamed:

+ (id) soundNamed: (NSString*)name;

Description forthcoming.

### soundUnfilteredFileTypes

+ (NSArray*) soundUnfilteredFileTypes;

Description forthcoming.

### soundUnfilteredPasteboardTypes

+ (NSArray*) soundUnfilteredPasteboardTypes;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### initWithContentsOfFile:byReference:

- (id) initWithContentsOfFile: (NSString*)path byReference: (BOOL)byRef;

Description forthcoming.

### initWithContentsOfURL:byReference:

- (id) initWithContentsOfURL: (NSURL*)url byReference: (BOOL)byRef;

Description forthcoming.

### initWithData:

- (id) initWithData: (NSData*)data;

Description forthcoming.

### initWithPasteboard:

- (id) initWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### isPlaying

- (BOOL) isPlaying;

Description forthcoming.

### name

- (NSString*) name;

Description forthcoming.

### pause

- (BOOL) pause;

Description forthcoming.

### play

- (BOOL) play;

Description forthcoming.

### resume

- (BOOL) resume;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)aDelegate;

Description forthcoming.

### setName:

- (BOOL) setName: (NSString*)aName;

Description forthcoming.

### stop

- (BOOL) stop;

Description forthcoming.

### writeToPasteboard:

- (void) writeToPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

# Software documentation for the NSBundle(NSSoundAdditions) category

## NSBundle(NSSoundAdditions)

> Declared in:
>   AppKit/NSSound.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -pathForSoundResource:

### pathForSoundResource:

- (NSString*) pathForSoundResource: (NSString*)name;

Description forthcoming.

# Software documentation for the NSObject(NSSoundDelegate) informal protocol

## NSObject(NSSoundDelegate)

> Declared in:
>   AppKit/NSSound.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -sound:didFinishPlaying:

### sound:didFinishPlaying:

- (void) sound: (NSSound*)sound didFinishPlaying: (BOOL)aBool;

Description forthcoming.

Up